## org.eclipse.datatools.connectivity.oda.design
Class SessionStatus

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.connectivity.oda.design.SessionStatus

public final class SessionStatus
extends AbstractEnumerator

A representation of the literals of the enumeration 'Session Status', and utility methods for working with them. Indicates to ODA host designer on how to proceed after an ODA design session exits.

See Also:
  `DesignPackage.getSessionStatus()`, Serialized Form

Field Summary
`static java.lang.String` `copyright`
`static int` `ERROR` The 'Error' literal value.
`static SessionStatus` `ERROR_LITERAL` The 'Error' literal object.
`static int` `LOGIN_FAILED` The 'Login Failed' literal value.
`static SessionStatus` `LOGIN_FAILED_LITERAL` The 'Login Failed' literal object.
`static int` `OK` The 'Ok' literal value.
`static SessionStatus` `OK_LITERAL` The 'Ok' literal object.
`static int` `USER_CANCELLED` The 'User Cancelled' literal value.
`static SessionStatus` `USER_CANCELLED_LITERAL` The 'User Cancelled' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Session Status' enumerators.

Method Summary
`static SessionStatus` `get(int value)` Returns the 'Session Status' literal with the specified value.
`static SessionStatus` `get(java.lang.String name)` Returns the 'Session Status' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

### OK

    public static final int OK

  The 'Ok' literal value.

  See Also:
    `OK_LITERAL`, Constant Field Values

### USER_CANCELLED

    public static final int USER_CANCELLED

  The 'User Cancelled' literal value.

  See Also:
    `USER_CANCELLED_LITERAL`, Constant Field Values

### LOGIN_FAILED

    public static final int LOGIN_FAILED

  The 'Login Failed' literal value.

  See Also:
    `LOGIN_FAILED_LITERAL`, Constant Field Values

### ERROR

    public static final int ERROR

  The 'Error' literal value.

  See Also:
    `ERROR_LITERAL`, Constant Field Values

### OK_LITERAL

    public static final SessionStatus OK_LITERAL

  The 'Ok' literal object.

  See Also:
    `OK`

### USER_CANCELLED_LITERAL

    public static final SessionStatus USER_CANCELLED_LITERAL

  The 'User Cancelled' literal object.

  See Also:
    `USER_CANCELLED`

### LOGIN_FAILED_LITERAL

    public static final SessionStatus LOGIN_FAILED_LITERAL

  The 'Login Failed' literal object.

  See Also:
    `LOGIN_FAILED`

### ERROR_LITERAL

    public static final SessionStatus ERROR_LITERAL

  The 'Error' literal object.

  See Also:
    `ERROR`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Session Status' enumerators.

Method Detail

### get

    public static SessionStatus get(java.lang.String name)

  Returns the 'Session Status' literal with the specified name.

### get

    public static SessionStatus get(int value)

  Returns the 'Session Status' literal with the specified value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.